API ReferenceProject
Retrieve project by ID
GET
Retrieve project by ID
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
id*stringProject identifier
Project resource
- response
id?stringFormat
uuidno?|Length
length <= 50numbering?|nulldescription?|Length
length <= 100000name?stringLength
length <= 100category?|nulldateStart?stringFormat
date-timedateEnd?stringFormat
date-timedateStartPlanned?stringFormat
date-timedateEndPlanned?stringFormat
date-timeassignedProjectUsersPm?array<>isBlameableRemovalEnabled?booleanDefault
falsestatus?stringValue in
"in-preparation""open""suspended""closed"createdAt?stringFormat
date-timeupdatedAt?stringFormat
date-timeshortCode?stringLength
6 <= length <= 6isSimple?booleanDefault
falsesimpleBoardShortCode?|Length
6 <= length <= 6simpleBoardId?|Format
uuidcontractors?array<>budget?|Format
floatDefault
nulltags?array<>isFavorite?booleanDefault
falseuserRole?|Value in
"none""pm-passive""pm-active""pm-operational"userPermissions?array<>stageCount?|Default
nullprogress?|Range
0 <= value <= 100Default
nulltimeReported?|Default
nulltimePlanned?|Default
nullcurl -X GET 'https://app.icproject.com/api/instance/demo/project/projects/string'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "no": "string", "numbering": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "pattern": "string", "counterPadLength": 0, "counterNextValue": 0, "counterInterval": "P1M", "isDefault": true }, "description": "string", "name": "string", "category": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" }, "dateStart": "2019-08-24T14:15:22Z", "dateEnd": "2019-08-24T14:15:22Z", "dateStartPlanned": "2019-08-24T14:15:22Z", "dateEndPlanned": "2019-08-24T14:15:22Z", "assignedProjectUsersPm": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": true, "phoneNumber": "string", "jobPositionName": "string", "hourlyRate": null, "isExternal": true, "decorator": "string" }, "role": "none", "hourlyRate": null, "canReportTime": true } ], "isBlameableRemovalEnabled": false, "status": "in-preparation", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "shortCode": "string", "isSimple": false, "simpleBoardShortCode": "string", "simpleBoardId": "26a73ca2-967e-4906-8e94-e5265bcdc516", "contractors": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } ], "budget": null, "tags": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } ], "isFavorite": false, "userRole": "none", "userPermissions": [ "canManage" ], "stageCount": null, "progress": null, "timeReported": null, "timePlanned": null}